<?xml version='1.0' encoding='UTF-8' standalone='no'?>
<?xml-stylesheet type="text/xsl" href="http://docbook.sourceforge.net/release/xsl-ns/current/manpages/docbook.xsl" ?>
<!DOCTYPE Data [ <!ENTITY version SYSTEM 'version.txt'> ]>
<refentry xmlns="http://docbook.org/ns/docbook" version="5.0" xmlns:xlink="http://www.w3.org/1999/xlink">
<info>
<author><personname><firstname>Mathieu</firstname><surname>Malaterre</surname></personname><contrib>Main developer</contrib></author>
<copyright><year>2006</year><year>2011</year><holder>Mathieu Malaterre</holder></copyright>
</info>
  <refmeta>
    <refentrytitle>gdcmpap3</refentrytitle>
    <manvolnum>1</manvolnum>
    <refmiscinfo class="source">GDCM</refmiscinfo>
    <refmiscinfo class="version">&version;</refmiscinfo>
    <refmiscinfo class="manual">DICOM Manipulation.</refmiscinfo>
  </refmeta>
  <refnamediv><refname>gdcmpap3</refname>
    <refpurpose>Tool to convert PAPYRUS 3.0 to DICOM.</refpurpose>
</refnamediv>
<refsection xml:id="gdcmpap3_1synopsis">
<title>SYNOPSIS</title>

<para><literallayout>gdcmpap3 [options] file-in file-out
</literallayout></para>
</refsection>
<refsection xml:id="gdcmpap3_1description">
<title>DESCRIPTION</title>

<para>The <command>gdcmpap3</command> command line program takes as input a PAPYRUS 3.0 file (file-in) and process it to generate an output (pseudo) DICOM file (file-out). The command line option dictate the type of operation(s) <command>gdcmpap3</command> will use to generate the output file.</para>
</refsection>
<refsection xml:id="gdcmpap3_1parameters">
<title>PARAMETERS</title>

<para><literallayout>file-in   DICOM input filename

file-out  DICOM output filename
</literallayout></para>
</refsection>
<refsection xml:id="gdcmpap3_1options">
<title>OPTIONS</title>

<para><literallayout>  -i --input      DICOM filename
  -o --output     DICOM filename
</literallayout></para>
</refsection>
<refsection xml:id="gdcmpap3_1specific_options">
<title>specific options</title>

<para><literallayout>  -S --split            Split multiframes PAPYRUS 3.0 into multiples DICOM files
     --decomp-pap3      Use PAPYRUS 3.0 for decompressing (can be combined with --split).
     --check-iop        Check that the Image Orientation (Patient) Attribute is ok (see --split).
</literallayout></para>
</refsection>
<refsection xml:id="gdcmpap3_1general_options">
<title>general options</title>

<para><literallayout>  -h   --help
         print this help text and exit

  -v   --version
         print version information and exit

  -V   --verbose
         verbose mode (warning+error).

  -W   --warning
         warning mode, print warning information

  -E   --error
         error mode, print error information

  -D   --debug
         debug mode, print debug information
</literallayout></para>
</refsection>
<refsection xml:id="gdcmpap3_1environment_variable">
<title>environment variable</title>

<para><envar>GDCM_ROOT_UID</envar> Root UID</para>
</refsection>
<refsection xml:id="gdcmpap3_1simple_usage">
<title>Simple usage</title>

<para><command>gdcmpap3</command> is a great tool to convert broken PAPYRUS 3.0 implementation into properly parsable DICOM file. Usage is simply:</para>

<para><literallayout>$ gdcmpap3 input.pa3 output.dcm
</literallayout></para>

<para>or if you prefer being explicit:</para>

<para><literallayout>$ gdcmpap3 -i input.pa3 -o output.dcm
</literallayout></para>

<para>Even though <command>gdcmpap3</command> can overwrite directly on the same file (<userinput>input.pa3</userinput> = <userinput>output.dcm</userinput>), it is recommended that user should first convert into a different file to make sure the bug is properly handled by GDCM.</para>
</refsection>
<refsection xml:id="gdcmpap3_1see_also">
<title>SEE ALSO</title>

<para><emphasis role="bold">gdcmdump</emphasis>(1), <emphasis role="bold">gdcmconv</emphasis>(1), <emphasis role="bold">gdcminfo</emphasis>(1)</para>
</refsection>
</refentry>
